/*
 * generated by Xtext 2.25.0
 */
package fr.n7.simplepdl.txt.ui;

import com.google.inject.Injector;
import fr.n7.simplepdl.txt.pdl.ui.internal.PdlActivator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class PDLExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(PdlActivator.class);
	}
	
	@Override
	protected Injector getInjector() {
		PdlActivator activator = PdlActivator.getInstance();
		return activator != null ? activator.getInjector(PdlActivator.FR_N7_SIMPLEPDL_TXT_PDL) : null;
	}

}
